# -*- coding: cp1251 -*-
#---------------------------------------------------------------------------
#
# pyzipper.py:     zip-
#
#---------------------------------------------------------------------------

from zipfrusw import *
from glob import glob

VERBOSE = 1

def clearzip(zipname):
	if VERBOSE: print 'myzip:   %s.' % zipname
	zip = ZipFile(zipname, 'w', ZIP_DEFLATED)
	zip.close

def writezip(zipname, filename):
	if VERBOSE: print 'myzip:  %s  %s.' % (filename, zipname)
	zip = ZipFile(zipname, 'a', ZIP_DEFLATED)
	zip.write(filename)
	zip.close()

def writepattzip(zipname, patterns):
	if VERBOSE: print 'myzip:   %s...' % zipname
	clearzip(zipname)
	for pattern in patterns:
		filelist = glob(pattern)
		for filename in filelist:
			writezip(zipname, filename)
	if VERBOSE: print 'myzip:  .'

def readzip(zipname, filename):
	if VERBOSE: print 'myzip:  %s  %s.' % (filename, zipname)
	zip = ZipFile(zipname, 'r', ZIP_DEFLATED)
	open(filename, 'wb').write(zip.read(filename))
	zip.close

def readallzip(zipname):
	if VERBOSE: print 'myzip:   %s...' % zipname
	zip = ZipFile(zipname, 'r', ZIP_DEFLATED)
	for filename in zip.namelist():
		readzip(zipname, filename)
	zip.close
	if VERBOSE: print 'myzip:  .'

if __name__ == '__main__': print '  .'
